- Qt 5.5
- Qt3D Module
- C++ Classes
- QTransform
- Qt 5.5.1 Reference Documentation

# QTransform Class

(Qt3D::QTransform)

Inherits: | QComponent

- List of all members, including inherited members

## Properties

- matrix : const QMatrix4x4

- 2 properties inherited from Qt3D::QComponent
- 1 property inherited from Qt3D::QNode

## Public Functions

| QTransform(QNode * parent = 0)
| QTransform(QList<QAbstractTransform *> transforms, QNode * parent = 0)
| QTransform(QAbstractTransform * transform, QNode * parent = 0)
| ~QTransform()
void | addTransform(QAbstractTransform * xform)
QMatrix4x4 | matrix() const
void | removeTransform(QAbstractTransform * xform)
QList<QAbstractTransform *> | transforms() const

- 5 public functions inherited from Qt3D::QComponent
- 6 public functions inherited from Qt3D::QNode

## Signals

void | matrixChanged()
void | transformsChanged()

- 2 signals inherited from Qt3D::QComponent
- 1 signal inherited from Qt3D::QNode

## Reimplemented Protected Functions

virtual void | copy(const QNode * ref)

- 1 protected function inherited from Qt3D::QComponent
- 3 protected functions inherited from Qt3D::QNode

### Additional Inherited Members

- 1 protected function inherited from Qt3D::QComponent
- 3 protected functions inherited from Qt3D::QNode
- 1 static protected member inherited from Qt3D::QNode

## Property Documentation

### matrix : const QMatrix4x4

Access functions:

QMatrix4x4 | matrix() const

Notifier signal:

void | matrixChanged()

## Member Function Documentation

### QTransform::QTransform(QNode * parent = 0)

### QTransform::QTransform(QList<QAbstractTransform *> transforms, QNode * parent = 0)

### QTransform::QTransform(QAbstractTransform * transform, QNode * parent = 0)

### QTransform::~QTransform()

### void QTransform::addTransform(QAbstractTransform * xform)

### `[virtual protected]` void QTransform::copy(const QNode * ref)

### void QTransform::removeTransform(QAbstractTransform * xform)

### QList<QAbstractTransform *> QTransform::transforms() const

### `[signal]` void QTransform::transformsChanged()